## ros-noetic-pr2-gripper-sensor-controller 1.0.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_gripper_sensor_controller)
find_package(catkin REQUIRED COMPONENTS pr2_controller_interface pr2_mechanism_model pr2_controllers_msgs realtime_tools pluginlib actionlib_msgs roscpp rosrt roslib std_msgs std_srvs pr2_gripper_sensor_msgs pr2_controller_manager)

include_directories(include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS})

catkin_package(
    DEPENDS pr2_controller_interface pr2_mechanism_model pr2_controllers_msgs realtime_tools pluginlib actionlib_msgs roscpp rosrt roslib std_msgs std_srvs pr2_gripper_sensor_msgs pr2_controller_manager
    CATKIN_DEPENDS # TODO
    INCLUDE_DIRS include # TODO include
    LIBRARIES # TODO
)

add_library(pr2_gripper_sensor_controller_lib
  src/digitalFilter.cpp
  src/pr2_gripper_sensor_controller.cpp
  src/pressure_observer.cpp
  src/acceleration_observer.cpp)

target_link_libraries(pr2_gripper_sensor_controller_lib ${catkin_LIBRARIES})
add_dependencies(pr2_gripper_sensor_controller_lib ${catkin_EXPORTED_TARGETS} rosrt rosrt_EXPORTED_TARGETS)

install(TARGETS pr2_gripper_sensor_controller_lib
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(FILES controller_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/ DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-noetic-pr2-gripper-sensor-controller (1.0.12-1buster) buster; urgency=high

  * fix error reported by clang 13
  * Contributors: v4hn

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 14 Oct 2022 15:00:00 -0000

ros-noetic-pr2-gripper-sensor-controller (1.0.11-1buster) buster; urgency=high

  * add namespaces to avoid warning (#15 <https://github.com/PR2/pr2_gripper_sensor/issues/15>)
    [ WARN] [/realtime_loop]:
    The deprecated controller type PR2GripperSensorController was not found.
    Using the namespaced version pr2_gripper_sensor_controller/PR2GripperSensorController instead.
    Please update your configuration to use the namespaced version.
  * Contributors: v4hn

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 30 Mar 2020 15:00:00 -0000

ros-noetic-pr2-gripper-sensor-controller (1.0.10-1buster) buster; urgency=high

  * Merge pull request #14 <https://github.com/pr2/pr2_gripper_sensor/issues/14> from PR2/fix_maintainer
    change maintainer to mailto:ros-orphaned-packages@googlegroups.com
  * change maintainer to mailto:ros-orphaned-packages@googlegroups.com
  * Merge pull request #11 <https://github.com/pr2/pr2_gripper_sensor/issues/11> from archielee/hydro-devel
    Removed lines in each yaml file relating to a controller for the othe…
  * Removed lines in each yaml file relating to a controller for the other side
  * Forgot word
  * Added include destinatoin
  * removed unnec
  * revert
  * Fixed lib path
  * Contributors: Archie Lee, Kei Okada, TheDash, archielee

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 11 Jul 2018 15:00:00 -0000

ros-noetic-pr2-gripper-sensor-controller (1.0.9-1buster) buster; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 21 Jun 2015 15:00:00 -0000

ros-noetic-pr2-gripper-sensor-controller (1.0.8-1buster) buster; urgency=high

  * Fixed catkin install loc
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 01 Jun 2015 15:00:00 -0000

ros-noetic-pr2-gripper-sensor-controller (1.0.7-1buster) buster; urgency=high

  * Added launch file install
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 25 Mar 2015 15:00:00 -0000

ros-noetic-pr2-gripper-sensor-controller (1.0.6-1buster) buster; urgency=high

  * install controller_plugins.xml
  * add install settings for catkin_make pr2_gripper_sensor_controller
  * Contributors: John Hsu, Yuki Furuta

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 16 Mar 2015 15:00:00 -0000

ros-noetic-pr2-gripper-sensor-controller (1.0.5-1buster) buster; urgency=high

  * Removed the lib dir from sensor_controller
  * Add publish_skip parameter to supress high-frequency publishing of gripper sensor data
  * Contributors: Ryohei Ueda, TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 05 Feb 2015 15:00:00 -0000

ros-noetic-pr2-gripper-sensor-controller (1.0.4-1buster) buster; urgency=high

  * Added dependency on rosrt library and updated the CMake structure
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 02 Nov 2014 15:00:00 -0000

ros-noetic-pr2-gripper-sensor-controller (1.0.3-1buster) buster; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 17 Sep 2014 15:00:00 -0000

ros-noetic-pr2-gripper-sensor-controller (1.0.2-1buster) buster; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 09 Sep 2014 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-pr2-gripper-sensor-controller
Section: misc
Priority: optional
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib-msgs, ros-noetic-catkin, ros-noetic-pluginlib, ros-noetic-pr2-controller-interface, ros-noetic-pr2-controller-manager, ros-noetic-pr2-controllers-msgs, ros-noetic-pr2-gripper-sensor-msgs, ros-noetic-pr2-mechanism-model, ros-noetic-realtime-tools, ros-noetic-roscpp, ros-noetic-roslib, ros-noetic-rosrt, ros-noetic-std-msgs, ros-noetic-std-srvs
Homepage: http://ros.org/wiki/pr2_gripper_sensor_controller
Standards-Version: 3.9.2

Package: ros-noetic-pr2-gripper-sensor-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib-msgs, ros-noetic-pluginlib, ros-noetic-pr2-controller-interface, ros-noetic-pr2-controller-manager, ros-noetic-pr2-controllers-msgs, ros-noetic-pr2-gripper-sensor-msgs, ros-noetic-pr2-mechanism-model, ros-noetic-realtime-tools, ros-noetic-roscpp, ros-noetic-roslib, ros-noetic-rosrt, ros-noetic-std-msgs, ros-noetic-std-srvs
Description: The pr2_gripper_sensor_controller package is a real-time controller that integrates signals from the PR2 hand-mounted accelerometer and finger-mounted pressure sensors with motor control of the gripper joint to do highly responsive sensing and low-latency closed-loop control.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-pr2-gripper-sensor-controller//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
